commit 856577b6d655e5a97c48d2f564a800d6d5420070
Author: freddy77 <freddy77>
Date:   Thu Aug 7 10:06:05 2008 +0000

    small network optimization

diff --git a/ChangeLog b/ChangeLog
index 87c84c9..49eb3bf 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Aug 07 12:05:03 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/tds/net.c: small network optimization
+
 Thu Aug 07 09:17:58 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/tds/challenge.c: use NTLMv2 if possible
 
@@ -511,4 +514,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2576 2008/08/07 07:18:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2577 2008/08/07 10:06:05 freddy77 Exp $
diff --git a/src/tds/net.c b/src/tds/net.c
index 14d38a6..3cd4b49 100644
--- a/src/tds/net.c
+++ b/src/tds/net.c
@@ -103,7 +103,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: net.c,v 1.76 2008/07/24 22:04:50 jklowden Exp $");
+TDS_RCSID(var, "$Id: net.c,v 1.77 2008/08/07 10:06:08 freddy77 Exp $");
 
 #undef USE_POLL
 #if defined(HAVE_POLL_H) && defined(HAVE_POLL)
@@ -1025,7 +1025,8 @@ tds_ssl_write(BIO *b, const char* data, int len)
 
 	if (tds->tls_session) {
 		/* write to socket directly */
-		return tds_goodwrite(tds, data, len, 1);
+		/* TODO use cork if available here to fluch only on last chunk of packet ?? */
+		return tds_goodwrite(tds, data, len, tds->out_buf[1]);
 	}
 	/* write crypted data inside normal TDS packets */
 	tds_put_n(tds, data, len);

